Skip to main content
`Ctrl`+`K`

# RGComputeBoundingBox

Determines the endpoints of a rectangle in the complex plane that contains the region.

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGComputeBoundingBox(RG rg,PetscReal *a,PetscReal *b,PetscReal *c,PetscReal *d)

Not Collective

## Input Parameter

- rg - the region context

## Output Parameters

- a - left endpoint of the bounding box in the real axis

- b - right endpoint of the bounding box in the real axis

- c - bottom endpoint of the bounding box in the imaginary axis

- d - top endpoint of the bounding box in the imaginary axis

## Note

The bounding box is defined as \([a,b]\times[c,d]\). In regions that are not bounded (e.g., an open interval) or with the complement flag set, it makes no sense to compute a bounding box, so the return values are infinite.

## See Also

RG: Region, `RGComputeContour()`, `RGSetScale()`, `RGSetComplement()`

## Level

intermediate

## Location

src/sys/classes/rg/interface/rgbasic.c

## Implementations

RGComputeBoundingBox_Ellipse() in src/sys/classes/rg/impls/ellipse/rgellipse.c
RGComputeBoundingBox_Interval() in src/sys/classes/rg/impls/interval/rginterval.c
RGComputeBoundingBox_Polygon() in src/sys/classes/rg/impls/polygon/rgpolygon.c
RGComputeBoundingBox_Ring() in src/sys/classes/rg/impls/ring/rgring.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages